# icmp Struct Reference

List of all members.

## Public Attributes

unsigned char | icmp_type
unsigned char | icmp_code
unsigned short | icmp_cksum
unsigned short | icmp_id
unsigned short | icmp_seq
unsigned long | icmp_data

## Member Data Documentation

unsigned short icmp::icmp_cksum

unsigned char icmp::icmp_code

unsigned long icmp::icmp_data

unsigned short icmp::icmp_id

unsigned short icmp::icmp_seq

unsigned char icmp::icmp_type

The documentation for this struct was generated from the following file:

- Ping_Socket.cpp